/* SPDX-License-Identifier: GPL-2.0 */


#ifndef __SDCA_JACK_H__
#define __SDCA_JACK_H__

struct sdca_interrupt;
struct snd_kcontrol;
struct snd_soc_jack;


struct jack_state {
	struct snd_kcontrol *kctl;
	struct snd_soc_jack *jack;
};

int sdca_jack_alloc_state(struct sdca_interrupt *interrupt);
int sdca_jack_process(struct sdca_interrupt *interrupt);
int sdca_jack_set_jack(struct sdca_interrupt_info *info, struct snd_soc_jack *jack);
int sdca_jack_report(struct sdca_interrupt *interrupt);

#endif // __SDCA_JACK_H__
